Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


No se puede ejecutar el proyecto en Android Studio (libGDX)

Cada vez que intento ejecutar mi proyecto de escritorio en Android Studio, obtengo al instante el siguiente error:

Error:com.android.tools.idea.gradle.util.Projects.lastGradleSyncFailed(Lcom/intellij/openapi/project/Project;)Z 

No hay acumulación de grados, o cualquier tipo de sincronización. Android Studio sólo salta directamente a este error.

He reiniciado / invalidé cachés, he suprimido mi carpeta .gradle en el proyecto y las localizaciones caseras, he reinstalado el estudio androide, he creado un nuevo proyecto, pero todavía consigo el mismo error.

Cuando ejecuto la compilación gradle manualmente, la compilación se completa correctamente. Incluso puedo ejecutar el proyecto de Android sin problemas. Es sólo el proyecto de escritorio que me está dando problemas.

Cualquier sugerencia sería muy apreciada.

Estoy usando la última versión de android gradle (2.3.0), y mi JDK es la versión correcta (1.8).

Estoy recibiendo este error después de actualizar a Android Studio 2.3.

Para aclarar, la compilación / sincronización de Gradle completa SUCCESSFULLY.

  • Signo de los servicios de juegos de Google en el problema (falla el primer intento, segundo de éxito)
  • Simulación de swaps de paletas con Shaders OpenGL (en LibGDX)
  • AssetManager en LibGDX
  • Libgdx se bloquea en Android
  • Libgdx para Android muestra negro antes de la pantalla principal
  • Dibujo de un gradiente en Libgdx
  • ¿Cómo obligo a eclipse a actualizar el apk en mi dispositivo de hardware con cada compilación?
  • Intentando ejecutar el juego de Android usando libgdx en Genymotion
  • One Solution collect form web for “No se puede ejecutar el proyecto en Android Studio (libGDX)”

    ACTUALIZACIÓN: Parece que este problema puede haberse solucionado en RoboVM 2.3.2: https://github.com/MobiVM/robovm/issues/115#issuecomment-303979058


    Parece que necesitas volver a Android Studio 2.2, que puedes descargar aquí: http://tools.android.com/download/studio/builds/android-studio-2-2-3

    Yo tuve el mismo problema. El mensaje de error en "Mensajes" no es útil, pero si vas a Help->Show Log in Finder , verás alguna información adicional que es un poco más útil:

     2017-03-06 17:52:27,615 [4546022] INFO - ij.compiler.impl.CompileDriver - java.lang.NoSuchMethodError: com.android.tools.idea.gradle.util.Projects.lastGradleSyncFailed(Lcom/intellij/openapi/project/Project;)Z at org.robovm.idea.components.RoboVmBuildProcessParametersProvider.getVMArguments(RoboVmBuildProcessParametersProvider.java:60) at com.intellij.compiler.server.BuildManager.launchBuildProcess(BuildManager.java:1136) at com.intellij.compiler.server.BuildManager.lambda$null$11(BuildManager.java:730) at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) at java.util.concurrent.FutureTask.run(FutureTask.java:266) at com.intellij.util.concurrency.BoundedTaskExecutor.runFirstTaskThenPollAndRunRest(BoundedTaskExecutor.java:178) at com.intellij.util.concurrency.BoundedTaskExecutor.access$000(BoundedTaskExecutor.java:40) at com.intellij.util.concurrency.BoundedTaskExecutor$2.run(BoundedTaskExecutor.java:197) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) at java.lang.Thread.run(Thread.java:745) 

    Resulta que RoboVm no es compatible con Android Studio 2.3 (todavía): https://github.com/MobiDevelop/robovm/issues/115

    Después de volver a Android Studio 2.2.3, podría ejecutar la aplicación de escritorio muy bien.

    FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.